Bug 98593 - CAN-2002-1563 Stunnel unsafe SIGCHLD handler
CAN-2002-1563 Stunnel unsafe SIGCHLD handler
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: stunnel (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brian Brock
http://marc.theaimsgroup.com/?l=stunn...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-04 06:24 EDT by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-25 09:17:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2003-07-04 06:24:21 EDT
When configured to listen for incoming connections (instead of being
invoked by xinetd), stunnel can either be configured to start either a
thread or a process to handle each new connection. If Stunnel is configured
to start a new child process to handle each connection, it will receive a
SIGCHLD signal when that child exits. 

Stunnel versions prior to 4.04 would perform tasks in the SIGCHLD signal
handler which, if interrupted by another SIGCHLD signal, could be unsafe.
This could lead to a Denial of Service.

Errata with backported security fix in progress
Comment 1 Mark J. Cox (Product Security) 2003-07-25 09:17:04 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-223.html

Note You need to log in before you can comment on or make changes to this bug.